if IsAddOnLoaded("TrinityBars") then
	local function Trinity_Buttons_UpdateCountList(list)
		for i = 1, 120 do
			local frame = getglobal("TrinityActionButton"..i.."Count")
			if frame then
				list[frame] = {type = "action", id = i}
			end
		end
	end
	
	function ltc:Trinity_UpdateActionbar_OnEvent(button)
		self.hooks.Trinity_UpdateActionbar_OnEvent(button)

		local frame = getglobal(button:GetName().."Count")
		local info = self:GetCountList()[frame]
		if info then
			self:UpdateCount (frame, info)
		end
	end
	ltc:Hook("Trinity_UpdateActionbar_OnEvent")

	function ltc:Trinity_UpdateInventory_OnEvent()
		self.hooks.Trinity_UpdateInventory_OnEvent()

		local frame = getglobal(this:GetName().."Count")
		local info = self:GetCountList()[frame]
		if info then
			self:UpdateCount (frame, info)
		end
	end
	ltc:Hook("Trinity_UpdateInventory_OnEvent")

	ltc:RegisterPlugin(Trinity_Buttons_UpdateCountList)
end
